This commit is contained in:
Ricky Bobby 2024-08-22 23:43:00 +00:00
commit 96cc4212c1
163 changed files with 3951 additions and 102 deletions

View File

@ -4,6 +4,7 @@ addons:
apt: apt:
packages: packages:
- zsh - zsh
<<<<<<< HEAD
# - ksh # - ksh
# - gcc-4.8 # - gcc-4.8
# - g++-4.8 # - g++-4.8
@ -12,6 +13,8 @@ addons:
git: git:
submodules: false submodules: false
=======
>>>>>>> f9670e18a6bec3a93c8e904c96f008704c4e798e
cache: cache:
ccache: true ccache: true
directories: directories:
@ -31,8 +34,12 @@ before_install:
- bash --version | head - bash --version | head
- zsh --version - zsh --version
- dpkg -s dash | grep ^Version | awk '{print $2}' - dpkg -s dash | grep ^Version | awk '{print $2}'
<<<<<<< HEAD
# install python # install python
- pyenv local 2.7.18 || pyenv install 2.7.18 - pyenv local 2.7.18 || pyenv install 2.7.18
=======
- pyenv install 2.7.18
>>>>>>> f9670e18a6bec3a93c8e904c96f008704c4e798e
- pyenv local 2.7.18 || echo 'pyenv failed' - pyenv local 2.7.18 || echo 'pyenv failed'
- python -V - python -V
install: install:
@ -60,10 +67,6 @@ jobs:
dist: xenial dist: xenial
- env: SHELL=zsh TEST_SUITE=installation_node WITHOUT_CURL=1 - env: SHELL=zsh TEST_SUITE=installation_node WITHOUT_CURL=1
dist: xenial dist: xenial
#- env: SHELL=ksh TEST_SUITE=installation_node
# dist: xenial
#- env: SHELL=ksh TEST_SUITE=installation_node WITHOUT_CURL=1
# dist: xenial
- env: SHELL=bash TEST_SUITE=xenial - env: SHELL=bash TEST_SUITE=xenial
dist: xenial dist: xenial
- env: SHELL=sh TEST_SUITE=xenial - env: SHELL=sh TEST_SUITE=xenial
@ -72,8 +75,6 @@ jobs:
dist: xenial dist: xenial
- env: SHELL=zsh TEST_SUITE=xenial - env: SHELL=zsh TEST_SUITE=xenial
dist: xenial dist: xenial
#- env: SHELL=ksh TEST_SUITE=xenial
# dist: xenial
env: env:
global: global:
- CXX=g++ - CXX=g++
@ -86,17 +87,14 @@ env:
- SHELL=dash TEST_SUITE=fast - SHELL=dash TEST_SUITE=fast
- SHELL=bash TEST_SUITE=fast - SHELL=bash TEST_SUITE=fast
- SHELL=zsh TEST_SUITE=fast - SHELL=zsh TEST_SUITE=fast
# - SHELL=ksh TEST_SUITE=fast
- SHELL=sh TEST_SUITE=sourcing - SHELL=sh TEST_SUITE=sourcing
- SHELL=dash TEST_SUITE=sourcing - SHELL=dash TEST_SUITE=sourcing
- SHELL=bash TEST_SUITE=sourcing - SHELL=bash TEST_SUITE=sourcing
- SHELL=zsh TEST_SUITE=sourcing - SHELL=zsh TEST_SUITE=sourcing
# - SHELL=ksh TEST_SUITE=sourcing
- SHELL=sh TEST_SUITE=slow - SHELL=sh TEST_SUITE=slow
- SHELL=dash TEST_SUITE=slow - SHELL=dash TEST_SUITE=slow
- SHELL=bash TEST_SUITE=slow - SHELL=bash TEST_SUITE=slow
- SHELL=zsh TEST_SUITE=slow - SHELL=zsh TEST_SUITE=slow
# - SHELL=ksh TEST_SUITE=slow
- SHELL=sh TEST_SUITE=installation_iojs - SHELL=sh TEST_SUITE=installation_iojs
- SHELL=sh TEST_SUITE=installation_iojs WITHOUT_CURL=1 - SHELL=sh TEST_SUITE=installation_iojs WITHOUT_CURL=1
- SHELL=dash TEST_SUITE=installation_iojs - SHELL=dash TEST_SUITE=installation_iojs
@ -105,5 +103,3 @@ env:
- SHELL=bash TEST_SUITE=installation_iojs WITHOUT_CURL=1 - SHELL=bash TEST_SUITE=installation_iojs WITHOUT_CURL=1
- SHELL=zsh TEST_SUITE=installation_iojs - SHELL=zsh TEST_SUITE=installation_iojs
- SHELL=zsh TEST_SUITE=installation_iojs WITHOUT_CURL=1 - SHELL=zsh TEST_SUITE=installation_iojs WITHOUT_CURL=1
# - SHELL=ksh TEST_SUITE=installation_iojs
# - SHELL=ksh TEST_SUITE=installation_iojs WITHOUT_CURL=1

0
.vscode/__init__.py vendored Normal file
View File

7
.vscode/extensions.json vendored Normal file
View File

@ -0,0 +1,7 @@
{
"recommendations": [
"jianglinghao.vscode-npm-scripts",
"stevenhansel.vscode-nvm",
"vadimcn.vscode-lldb"
]
}

4
.vscode/settings.json vendored Normal file
View File

@ -0,0 +1,4 @@
{
"npm-scripts.showStartNotification": false,
"compile-hero.disable-compile-files-on-did-save-code": false
}

View File

@ -34,92 +34,3 @@ For more information, refer to the full [Code of Conduct governance document](ht
--- ---
# Contributor Covenant Code of Conduct
## Our Pledge
We as members, contributors, and leaders pledge to make participation in our community a harassment-free experience for everyone, regardless of age, body size, visible or invisible disability, ethnicity, sex characteristics, gender identity and expression, level of experience, education, socio-economic status, nationality, personal appearance, race, caste, color, religion, or sexual identity and orientation.
We pledge to act and interact in ways that contribute to an open, welcoming, diverse, inclusive, and healthy community.
## Our Standards
Examples of behavior that contributes to a positive environment for our community include:
* Demonstrating empathy and kindness toward other people
* Being respectful of differing opinions, viewpoints, and experiences
* Giving and gracefully accepting constructive feedback
* Accepting responsibility and apologizing to those affected by our mistakes, and learning from the experience
* Focusing on what is best not just for us as individuals, but for the overall community
Examples of unacceptable behavior include:
* The use of sexualized language or imagery, and sexual attention or advances of any kind
* Trolling, insulting or derogatory comments, and personal or political attacks
* Public or private harassment
* Publishing others' private information, such as a physical or email address, without their explicit permission
* Other conduct which could reasonably be considered inappropriate in a professional setting
## Enforcement Responsibilities
Community leaders are responsible for clarifying and enforcing our standards of acceptable behavior and will take appropriate and fair corrective action in response to any behavior that they deem inappropriate, threatening, offensive, or harmful.
Community leaders have the right and responsibility to remove, edit, or reject comments, commits, code, wiki edits, issues, and other contributions that are not aligned to this Code of Conduct, and will communicate reasons for moderation decisions when appropriate.
## Scope
This Code of Conduct applies within all community spaces, and also applies when an individual is officially representing the community in public spaces.
Examples of representing our community include using an official e-mail address, posting via an official social media account, or acting as an appointed representative at an online or offline event.
## Enforcement
Instances of abusive, harassing, or otherwise unacceptable behavior may be reported to the community leaders responsible for enforcement at [@ljharb](ljharb@gmail.com).
All complaints will be reviewed and investigated promptly and fairly.
All community leaders are obligated to respect the privacy and security of the reporter of any incident.
## Enforcement Guidelines
Community leaders will follow these Community Impact Guidelines in determining the consequences for any action they deem in violation of this Code of Conduct:
### 1. Correction
**Community Impact**: Use of inappropriate language or other behavior deemed unprofessional or unwelcome in the community.
**Consequence**: A private, written warning from community leaders, providing clarity around the nature of the violation and an explanation of why the behavior was inappropriate. A public apology may be requested.
### 2. Warning
**Community Impact**: A violation through a single incident or series of actions.
**Consequence**: A warning with consequences for continued behavior. No interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, for a specified period of time. This includes avoiding interactions in community spaces as well as external channels like social media. Violating these terms may lead to a temporary or permanent ban.
### 3. Temporary Ban
**Community Impact**: A serious violation of community standards, including sustained inappropriate behavior.
**Consequence**: A temporary ban from any sort of interaction or public communication with the community for a specified period of time. No public or private interaction with the people involved, including unsolicited interaction with those enforcing the Code of Conduct, is allowed during this period. Violating these terms may lead to a permanent ban.
### 4. Permanent Ban
**Community Impact**: Demonstrating a pattern of violation of community standards, including sustained inappropriate behavior, harassment of an individual, or aggression toward or disparagement of classes of individuals.
**Consequence**: A permanent ban from any sort of public interaction within the community.
## Attribution
This Code of Conduct is adapted from the [Contributor Covenant][homepage], version 2.1, available at
[https://www.contributor-covenant.org/version/2/1/code_of_conduct.html][v2.1].
Community Impact Guidelines were inspired by
[Mozilla's code of conduct enforcement ladder][Mozilla CoC].
For answers to common questions about this code of conduct, see the FAQ at
[https://www.contributor-covenant.org/faq][FAQ]. Translations are available at
[https://www.contributor-covenant.org/translations][translations].
[homepage]: https://www.contributor-covenant.org
[v2.1]: https://www.contributor-covenant.org/version/2/1/code_of_conduct.html
[Mozilla CoC]: https://github.com/mozilla/diversity
[FAQ]: https://www.contributor-covenant.org/faq
[translations]: https://www.contributor-covenant.org/translations

12
compose-dev.yaml Normal file
View File

@ -0,0 +1,12 @@
services:
app:
entrypoint:
- sleep
- infinity
image: docker/dev-environments-javascript:stable-1
init: true
volumes:
- type: bind
source: /var/run/docker.sock
target: /var/run/docker.sock

View File

@ -45,7 +45,12 @@
"eclint": "^2.8.1", "eclint": "^2.8.1",
"markdown-link-check": "^3.12.2", "markdown-link-check": "^3.12.2",
"replace": "^1.2.2", "replace": "^1.2.2",
<<<<<<< HEAD
"semver": "^7.6.3", "semver": "^7.6.3",
"urchin": "^0.0.5" "urchin": "^0.0.5"
=======
"semver": "^7.5.4",
"urchin": "^2.0.11"
>>>>>>> f9670e18a6bec3a93c8e904c96f008704c4e798e
} }
} }

View File

View File

View File

@ -0,0 +1,20 @@
#!/bin/sh
die() { echo "$@" ; exit 1; }
export NVM_DIR="$(cd ../../.. && pwd)"
\. "${NVM_DIR}/nvm.sh"
\. ../../common.sh
echo "
v0.0.1
" > ../../../alias/test-blank-lines
EXPECTED='v0.0.1'
ACTUAL="$(nvm_alias test-blank-lines)"
EXIT_CODE="$(nvm_alias test-blank-lines 2>&1 >/dev/null; echo $?)"
[ "${ACTUAL}" = "${EXPECTED}" ] || die "expected >${EXPECTED}<, got >${ACTUAL}<"
[ "${EXIT_CODE}" = '0' ] || die "expected exit code 0, got ${EXIT_CODE}"

View File

@ -0,0 +1,26 @@
#!/bin/sh
\. ../../../nvm.sh
die () { echo "$@" ; exit 1; }
OUTPUT="$(nvm alias foo/bar baz 2>&1)"
EXPECTED_OUTPUT="Aliases in subdirectories are not supported."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to create an alias with a slash should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
EXIT_CODE="$(nvm alias foo/bar baz >/dev/null 2>&1 ; echo $?)"
[ "$EXIT_CODE" = "1" ] || die "trying to create an alias with a slash should fail with code 1, got '$EXIT_CODE'"
OUTPUT="$(nvm alias foo/ baz 2>&1)"
EXPECTED_OUTPUT="Aliases in subdirectories are not supported."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to create an alias ending with a slash should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
EXIT_CODE="$(nvm alias foo/ baz >/dev/null 2>&1 ; echo $?)"
[ "$EXIT_CODE" = "1" ] || die "trying to create an alias ending with a slash should fail with code 1, got '$EXIT_CODE'"
OUTPUT="$(nvm alias /bar baz 2>&1)"
EXPECTED_OUTPUT="Aliases in subdirectories are not supported."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to create an alias starting with a slash should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
EXIT_CODE="$(nvm alias /bar baz >/dev/null 2>&1 ; echo $?)"
[ "$EXIT_CODE" = "1" ] || die "trying to create an alias starting with a slash should fail with code 1, got '$EXIT_CODE'"

View File

@ -0,0 +1,17 @@
#!/bin/sh
\. ../../../nvm.sh
die () { echo "$@" ; exit 1; }
OUTPUT="$(nvm unalias node 2>&1)"
EXPECTED_OUTPUT="node is a default (built-in) alias and cannot be deleted."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove a built-in alias should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
nvm alias node stable || die '`nvm alias node stable` failed'
nvm unalias node || die '`nvm unalias node` failed'
OUTPUT="$(nvm unalias node 2>&1)"
EXPECTED_OUTPUT="node is a default (built-in) alias and cannot be deleted."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove a built-in alias should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"

View File

@ -0,0 +1,25 @@
#!/bin/sh
\. ../../../nvm.sh
die () { echo "$@" ; exit 1; }
OUTPUT="$(nvm unalias node 2>&1)"
EXPECTED_OUTPUT="node is a default (built-in) alias and cannot be deleted."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove a built-in alias should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
OUTPUT="$(nvm unalias stable 2>&1)"
EXPECTED_OUTPUT="stable is a default (built-in) alias and cannot be deleted."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove a built-in alias should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
OUTPUT="$(nvm unalias unstable 2>&1)"
EXPECTED_OUTPUT="unstable is a default (built-in) alias and cannot be deleted."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove a built-in alias should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
OUTPUT="$(nvm unalias iojs 2>&1)"
EXPECTED_OUTPUT="iojs is a default (built-in) alias and cannot be deleted."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove a built-in alias should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
OUTPUT="$(nvm unalias system 2>&1)"
EXPECTED_OUTPUT="system is a default (built-in) alias and cannot be deleted."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove a built-in alias should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"

View File

@ -0,0 +1,26 @@
#!/bin/sh
\. ../../../nvm.sh
die () { echo "$@" ; exit 1; }
OUTPUT="$(nvm unalias foo/bar 2>&1)"
EXPECTED_OUTPUT="Aliases in subdirectories are not supported."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove an alias with a slash should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
EXIT_CODE="$(nvm unalias foo/bar >/dev/null 2>&1 ; echo $?)"
[ "$EXIT_CODE" = "1" ] || die "trying to remove an alias with a slash should fail with code 1, got '$EXIT_CODE'"
OUTPUT="$(nvm unalias foo/ 2>&1)"
EXPECTED_OUTPUT="Aliases in subdirectories are not supported."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove an alias ending with a slash should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
EXIT_CODE="$(nvm unalias foo/ >/dev/null 2>&1 ; echo $?)"
[ "$EXIT_CODE" = "1" ] || die "trying to remove an alias ending with a slash should fail with code 1, got '$EXIT_CODE'"
OUTPUT="$(nvm unalias /bar 2>&1)"
EXPECTED_OUTPUT="Aliases in subdirectories are not supported."
[ "$OUTPUT" = "$EXPECTED_OUTPUT" ] || die "trying to remove an alias starting with a slash should fail with '$EXPECTED_OUTPUT', got '$OUTPUT'"
EXIT_CODE="$(nvm unalias /bar >/dev/null 2>&1 ; echo $?)"
[ "$EXIT_CODE" = "1" ] || die "trying to remove an alias starting with a slash should fail with code 1, got '$EXIT_CODE'"

View File

View File

@ -0,0 +1,24 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; exit 1; }
if [ -n "$ZSH_VERSION" ]; then
# set clobber option in order to test that this does not produce any
# incompatibilities
setopt noclobber
fi
nvm alias test-stable-1 0.0.2 || die '`nvm alias test-stable-1 0.0.2` failed'
OUTPUT="$(nvm alias test-stable-1 | strip_colors)"
EXPECTED_OUTPUT='test-stable-1 -> 0.0.2 (-> v0.0.2)'
echo "$OUTPUT" | \grep -F "$EXPECTED_OUTPUT" || die "nvm alias test-stable-1 0.0.2 did not set test-stable-1 to 0.0.2: got '$OUTPUT'"
nvm alias test-stable-1 0.0.1 || die '`nvm alias test-stable-1 0.0.1` failed'
OUTPUT="$(nvm alias test-stable-1 | strip_colors)"
EXPECTED_OUTPUT='test-stable-1 -> 0.0.1 (-> v0.0.1)'
echo "$OUTPUT" | \grep -F "$EXPECTED_OUTPUT" || die "nvm alias test-stable-1 0.0.1 did not set test-stable-1 to 0.0.1: got '$OUTPUT'"

View File

@ -0,0 +1,4 @@
#!/bin/sh
\. ../../../nvm.sh
[ $(nvm alias test-stable-1 | wc -l) = '2' ]

View File

@ -0,0 +1,26 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; exit 1; }
NVM_ALIAS_OUTPUT=$(nvm alias | strip_colors)
EXPECTED_STABLE="$(nvm_print_implicit_alias local stable)"
STABLE_VERSION="$(nvm_version "$EXPECTED_STABLE")"
echo "$NVM_ALIAS_OUTPUT" | \grep -F "stable -> $EXPECTED_STABLE (-> $STABLE_VERSION) (default)" \
|| die "nvm alias did not contain the default local stable node version; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F "node -> stable (-> $STABLE_VERSION) (default)" \
|| die "nvm alias did not contain the default local stable node version under 'node'; got '$NVM_ALIAS_OUTPUT'"
EXPECTED_UNSTABLE="$(nvm_print_implicit_alias local unstable)"
UNSTABLE_VERSION="$(nvm_version "$EXPECTED_UNSTABLE")"
echo "$NVM_ALIAS_OUTPUT" | \grep -F "unstable -> $EXPECTED_UNSTABLE (-> $UNSTABLE_VERSION) (default)" \
|| die "nvm alias did not contain the default local unstable node version; got '$NVM_ALIAS_OUTPUT'"
EXPECTED_IOJS="$(nvm_print_implicit_alias local iojs)"
IOJS_VERSION="$(nvm_version "$EXPECTED_IOJS")"
echo "$NVM_ALIAS_OUTPUT" | \grep -F "iojs -> $EXPECTED_IOJS (-> $IOJS_VERSION) (default)" \
|| die "nvm alias did not contain the default local iojs version; got '$NVM_ALIAS_OUTPUT'"

View File

@ -0,0 +1,49 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; cleanup ; exit 1; }
cleanup () {
rm -rf "$(nvm_alias_path)/stable"
rm -rf "$(nvm_alias_path)/unstable"
rm -rf "$(nvm_alias_path)/node"
rm -rf "$(nvm_alias_path)/iojs"
rm -rf "${NVM_DIR}/v0.8.1"
rm -rf "${NVM_DIR}/v0.9.1"
rm -rf "${NVM_DIR}/versions/io.js/v0.2.1"
}
make_fake_node v0.8.1
make_fake_node v0.9.1
make_fake_iojs v0.2.1
EXPECTED_STABLE="$(nvm_print_implicit_alias local stable)"
STABLE_VERSION="$(nvm_version "$EXPECTED_STABLE")"
EXPECTED_UNSTABLE="$(nvm_print_implicit_alias local unstable)"
UNSTABLE_VERSION="$(nvm_version "$EXPECTED_UNSTABLE")"
[ "_$STABLE_VERSION" != "_$UNSTABLE_VERSION" ] \
|| die "stable and unstable versions are the same!"
nvm alias stable "$EXPECTED_UNSTABLE"
nvm alias unstable "$EXPECTED_STABLE"
nvm alias node stable
nvm alias iojs unstable
NVM_ALIAS_OUTPUT=$(nvm alias | strip_colors)
echo "$NVM_ALIAS_OUTPUT" | command grep -F "stable -> $EXPECTED_UNSTABLE (-> $UNSTABLE_VERSION)" \
|| die "nvm alias did not contain the overridden 'stable' alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | command grep -F "unstable -> $EXPECTED_STABLE (-> $STABLE_VERSION)" \
|| die "nvm alias did not contain the overridden 'unstable' alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | command grep -F "node -> stable (-> $UNSTABLE_VERSION)" \
|| die "nvm alias did not contain the overridden 'node' alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | command grep -F "iojs -> unstable (-> $STABLE_VERSION)" \
|| die "nvm alias did not contain the overridden 'iojs' alias; got '$NVM_ALIAS_OUTPUT'"
cleanup

View File

@ -0,0 +1,48 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; exit 1; }
NVM_ALIAS_OUTPUT="$(nvm alias | strip_colors)"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-1 -> 0.0.1 (-> v0.0.1)' \
|| die "did not find test-stable-1 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-2 -> 0.0.2 (-> v0.0.2)' \
|| die "did not find test-stable-2 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-3 -> 0.0.3 (-> v0.0.3)' \
|| die "did not find test-stable-3 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-4 -> 0.0.4 (-> v0.0.4)' \
|| die "did not find test-stable-4 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-5 -> 0.0.5 (-> v0.0.5)' \
|| die "did not find test-stable-5 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-6 -> 0.0.6 (-> v0.0.6)' \
|| die "did not find test-stable-6 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-7 -> 0.0.7 (-> v0.0.7)' \
|| die "did not find test-stable-7 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-8 -> 0.0.8 (-> v0.0.8)' \
|| die "did not find test-stable-8 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-9 -> 0.0.9 (-> v0.0.9)' \
|| die "did not find test-stable-9 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-stable-10 -> 0.0.10 (-> v0.0.10)' \
|| die "did not find test-stable-10 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-1 -> 0.1.1 (-> v0.1.1)' \
|| die "did not find test-unstable-1 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-2 -> 0.1.2 (-> v0.1.2)' \
|| die "did not find test-unstable-2 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-3 -> 0.1.3 (-> v0.1.3)' \
|| die "did not find test-unstable-3 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-4 -> 0.1.4 (-> v0.1.4)' \
|| die "did not find test-unstable-4 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-5 -> 0.1.5 (-> v0.1.5)' \
|| die "did not find test-unstable-5 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-6 -> 0.1.6 (-> v0.1.6)' \
|| die "did not find test-unstable-6 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-7 -> 0.1.7 (-> v0.1.7)' \
|| die "did not find test-unstable-7 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-8 -> 0.1.8 (-> v0.1.8)' \
|| die "did not find test-unstable-8 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-9 -> 0.1.9 (-> v0.1.9)' \
|| die "did not find test-unstable-9 alias; got '$NVM_ALIAS_OUTPUT'"
echo "$NVM_ALIAS_OUTPUT" | \grep -F 'test-unstable-10 -> 0.1.10 (-> v0.1.10)' \
|| die "did not find test-unstable-10 alias; got '$NVM_ALIAS_OUTPUT'"

View File

View File

@ -0,0 +1,18 @@
#!/bin/sh
set -ex
\. ../../../../nvm.sh
\. ../../../common.sh
LTS_ALIAS_PATH="$(nvm_alias_path)/lts"
rm -rf "${LTS_ALIAS_PATH}"
die () { echo "$@" ; exit 1; }
[ ! -d "${LTS_ALIAS_PATH}" ] || die "'${LTS_ALIAS_PATH}' exists and should not"
nvm alias >/dev/null 2>&1
[ -d "${LTS_ALIAS_PATH}" ] || die "'${LTS_ALIAS_PATH}' does not exist and should"

View File

View File

View File

View File

@ -0,0 +1,22 @@
#!/bin/sh
\. ../../../nvm.sh
die () { echo "$@" ; exit 1; }
set -e
nvm_get_colors(){
echo "0;95m"
}
nvm_alias_path() {
nvm_echo "../../../alias"
}
OUTPUT=$(command printf %b $(nvm_list_aliases test-stable-1) | awk '{ print substr($0, 1, 19); }')
EXPECTED_OUTPUT=$(command printf %b "\033[0;95mtest-stable-1" | awk '{ print substr($0, 1, 19); }')
echo "\033[0m"
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "nvm_list_aliases did not call nvm_get_colors. Expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"

View File

@ -0,0 +1,31 @@
#!/bin/sh
\. ../../../nvm.sh
die () {
echo "$@"
exit 1
}
set -e
MOCKS_DIR="../Unit tests/mocks"
# sample output at the time the test was written
TAB_PATH="$MOCKS_DIR/nodejs.org-dist-index.tab"
nvm_download() {
cat "$TAB_PATH"
}
nvm_alias_path() {
nvm_echo "../../../alias"
}
nvm ls-remote >/dev/null || die 'nvm ls-remote (to populate LTS aliases) failed'
EXPECTED_OUTPUT="$(cat "$MOCKS_DIR/lts-star.txt")"
STDOUT_OUTPUT="$(nvm_list_aliases "lts/*")"
STDERR_OUTPUT="$(nvm_list_aliases "lts/*" 2>&1 >/dev/null)"
[ -z "${STDERR_OUTPUT}" ] || die "expected no stderr output, got >${STDERR_OUTPUT}<"
[ "${STDOUT_OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "expected ${EXPECTED_OUTPUT}, got >${STDOUT_OUTPUT}<"

View File

@ -0,0 +1,21 @@
#!/bin/sh
\. ../../../nvm.sh
die () {
mv "$(nvm_alias_path)/_lts.bak" "$(nvm_alias_path)/lts"
echo "$@"
exit 1
}
set -e
nvm_alias_path() {
nvm_echo "../../../alias"
}
mv "$(nvm_alias_path)/lts" "$(nvm_alias_path)/_lts.bak"
STDERR_OUTPUT="$(nvm_list_aliases 2>&1 >/dev/null)"
[ -z "${STDERR_OUTPUT}" ] || die "expected no stderr output, got >${STDERR_OUTPUT}<"

View File

View File

@ -0,0 +1,28 @@
#!/bin/sh
\. ../../../nvm.sh
die () {
# echo "$@" ;
echo "Expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
exit 1
}
set -e
nvm_get_colors(){
echo "0;95m"
}
# nvm_print_alias_path call nvm_print_formatted_alias which calls nvm_get-colors
# the output of nvm_print_alias_path uses the color code returned by nvm_get_colors (redefined above)
NVM_ALIAS_DIR='../../../alias'
OUTPUT=$(command printf %b $(nvm_print_alias_path "$NVM_ALIAS_DIR" "$NVM_ALIAS_DIR"/test-stable-1) | awk '{ print substr($0, 1, 24); }')
EXPECTED_OUTPUT=$(command printf %b "\033[0;95mtest-stable-1\033[0m")
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die
set +e

View File

View File

@ -0,0 +1,21 @@
#!/bin/sh
\. ../../../nvm.sh
die () {
echo "Expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
exit 1
}
set -e
# # # expecting in red and two grays:
OUTPUT=$(echo $(nvm_print_formatted_alias fakealias fakedest) | awk '{ print substr($0, 1, 21); }')
EXPECTED_OUTPUT="$(command printf %b "\033[0;31mfakealias\033[0m ")"
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die
# expecting in bold yellow and two grays:
nvm set-colors bbbYb
OUTPUT=$(echo $(nvm_print_formatted_alias fakealias fakedest) | awk '{ print substr($0, 1, 21); }')
EXPECTED_OUTPUT="$(command printf %b "\033[1;33mfakealias\033[0m ")"
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die

View File

@ -0,0 +1,27 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.0.2
make_fake_node v0.0.20
make_fake_node v0.12.0
die () { echo "$@" ; exit 1; }
# The result should contain only the appropriate version numbers.
nvm which 0.0.2 || die "v0.0.2 not found"
NVM_BIN="$(nvm which 0.0.2)"
[ "_$NVM_BIN" = "_$(nvm_version_path v0.0.2)/bin/node" ] \
|| die "'nvm which 0.0.2' did not contain the correct path: got '$NVM_BIN'"
nvm which 0.0.20 || die "v0.0.20 not found"
NVM_BIN="$(nvm which 0.0.20)"
[ "_$NVM_BIN" = "_$(nvm_version_path v0.0.20)/bin/node" ] \
|| die "'nvm which 0.20.0' did not contain the correct path: got '$NVM_BIN'"
nvm which 0.12.0 || die "v0.0.20 not found"
NVM_BIN="$(nvm which 0.12.0)"
[ "_$NVM_BIN" = "_$(nvm_version_path v0.12.0)/bin/node" ] \
|| die "'nvm which 0.12.0' did not contain the correct path: got '$NVM_BIN'"

View File

@ -0,0 +1,6 @@
#!/bin/sh
\. ../../../nvm.sh
nvm which nonexistent_version
[ "_$?" = "_1" ]

View File

View File

View File

View File

@ -0,0 +1,34 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; unset -f nvm_ls nvm_list_aliases; exit 1; }
make_fake_node v0.12.87 || die 'fake v0.12.87 could not be made'
make_fake_node v0.12.9 || die 'fake v0.12.9 could not be made'
make_fake_iojs v0.1.2 || die 'fake iojs-v0.1.2 could not be made'
make_fake_iojs v0.10.2 || die 'fake iojs-v0.10.2 could not be made'
set -e
nvm_list_aliases() {
echo 'sd-6'
}
# sanity check
OUTPUT="$(nvm alias)"
EXPECTED_OUTPUT='sd-6'
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "1: expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
nvm_ls() {
echo v0.12.87
echo v0.12.9
echo iojs-v0.1.2
echo iojs-v0.10.2
}
OUTPUT="$(nvm ls --no-colors --no-alias)"
EXPECTED_OUTPUT=" v0.12.87 *
v0.12.9 *
iojs-v0.1.2 *
iojs-v0.10.2 *"
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "2: expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"

View File

@ -0,0 +1,15 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; unset -f nvm_ls nvm_list_aliases; exit 1; }
set -e
OUTPUT="$(nvm ls --no-colors --no-alias pattern 2>&1 ||:)"
EXPECTED_OUTPUT='`--no-alias` is not supported when a pattern is provided.'
EXIT_CODE="$(nvm ls --no-colors --no-alias pattern >/dev/null 2>&1 || echo $?)"
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
[ "${EXIT_CODE}" = 55 ] || die "expected 55; got >${EXIT_CODE}<"

View File

@ -0,0 +1,21 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.0.2
make_fake_node v0.0.20
die () { echo "$@" ; exit 1; }
# The result should contain only the appropriate version numbers.
nvm ls 0.0.2 | grep 'v0.0.2' > /dev/null
if [ $? -eq 0 ]; then
echo '"nvm ls 0.0.2" contained v0.0.2'
fi
nvm ls 0.0.2 | grep 'v0.0.20' > /dev/null
if [ $? -eq 0 ]; then
die '"nvm ls 0.0.2" contained v0.0.20'
fi

View File

@ -0,0 +1,42 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.1.3
make_fake_node v0.2.3
make_fake_node v0.20.3
die () { echo "$@" ; exit 1; }
# The result should contain only the appropriate version numbers.
nvm ls 0.1 | grep 'v0.2.3' > /dev/null
if [ $? -eq 0 ]; then
echo '"nvm ls 0.1" contained v0.2.3'
fi
nvm ls 0.1 | grep 'v0.20.3' > /dev/null
if [ $? -eq 0 ]; then
die '"nvm ls 0.1" contained v0.20.3'
fi
nvm ls 0.1 | grep 'v0.1.3' > /dev/null
if [ $? -ne 0 ]; then
die '"nvm ls 0.1" did not contain v0.1.3'
fi
nvm ls 0.2 | grep 'v0.2.3' > /dev/null
if [ $? -ne 0 ]; then
die '"nvm ls 0.2" did not contain v0.2.3'
fi
nvm ls 0.2 | grep 'v0.20.3' > /dev/null
if [ $? -eq 0 ]; then
die '"nvm ls 0.2" contained v0.20.3'
fi
nvm ls 0.2 | grep 'v0.2.3' > /dev/null
if [ $? -ne 0 ]; then
die '"nvm ls 0.2" did not contain v0.2.3'
fi

View File

@ -0,0 +1,6 @@
#!/bin/sh
\. ../../../nvm.sh
nvm ls nonexistent_version
[ "$?" = "3" ]

View File

@ -0,0 +1,6 @@
#!/bin/sh
\. ../../../nvm.sh
nvm ls io
[ "$?" = "3" ]

View File

@ -0,0 +1,6 @@
#!/bin/sh
\. ../../../nvm.sh
nvm ls node_
[ "$?" = "3" ]

View File

@ -0,0 +1,29 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; exit 1; }
make_fake_node v0.2.3
make_fake_node v0.3.3
EXPECTED_STABLE="$(nvm_print_implicit_alias local stable)"
STABLE_VERSION="$(nvm_version "$EXPECTED_STABLE")"
EXPECTED_UNSTABLE="$(nvm_print_implicit_alias local unstable)"
UNSTABLE_VERSION="$(nvm_version "$EXPECTED_UNSTABLE")"
nvm ls stable | \grep "$STABLE_VERSION" >/dev/null \
|| die "expected 'nvm ls stable' to give $STABLE_VERSION, got $(nvm ls stable)"
nvm ls unstable | \grep "$UNSTABLE_VERSION" >/dev/null \
|| die "expected 'nvm ls unstable' to give $UNSTABLE_VERSION, got $(nvm ls unstable)"
make_fake_node v0.1.4
nvm alias stable 0.1
nvm ls stable | \grep -v "$STABLE_VERSION" >/dev/null \
|| die "'nvm ls stable' contained $STABLE_VERSION instead of v0.1.4"
nvm ls stable | \grep v0.1.4 >/dev/null \
|| die "'nvm ls stable' did not contain v0.1.4"

View File

@ -0,0 +1,21 @@
#!/bin/sh
die () { echo "$@" ; exit 1; }
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.0.1
make_fake_node v0.0.3
make_fake_node v0.0.9
make_fake_node v0.3.1
make_fake_node v0.3.3
make_fake_node v0.3.9
nvm_has_system_node() { return 0; }
nvm ls system | grep system 2>&1 > /dev/null
[ $? -eq 0 ] || die '"nvm ls system" did not contain "system" when system node is present'
nvm_has_system_node() { return 1; }
nvm ls system | grep system 2>&1 > /dev/null
[ $? -ne 0 ] || die '"nvm ls system" contained "system" when system node is not present'

View File

@ -0,0 +1,35 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; unset -f nvm_ls nvm_list_aliases; exit 1; }
make_fake_node v0.12.87 || die 'fake v0.12.87 could not be made'
make_fake_node v0.12.9 || die 'fake v0.12.9 could not be made'
make_fake_iojs v0.1.2 || die 'fake iojs-v0.1.2 could not be made'
make_fake_iojs v0.10.2 || die 'fake iojs-v0.10.2 could not be made'
set -e
nvm_list_aliases() {
echo 'sd-6'
}
# sanity check
OUTPUT="$(nvm alias)"
EXPECTED_OUTPUT='sd-6'
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "1: expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
nvm_ls() {
echo v0.12.87
echo v0.12.9
echo iojs-v0.1.2
echo iojs-v0.10.2
}
OUTPUT="$(nvm ls --no-colors)"
EXPECTED_OUTPUT=" v0.12.87 *
v0.12.9 *
iojs-v0.1.2 *
iojs-v0.10.2 *
sd-6"
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die "2: expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"

View File

@ -0,0 +1,44 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
die () { echo "$@" ; exit 1; }
make_fake_node v0.0.1
make_fake_node v0.0.3
make_fake_node v0.0.9
make_fake_node v0.3.1
make_fake_node v0.3.3
make_fake_node v0.3.9
make_fake_node v0.12.87
make_fake_node v0.12.9
make_fake_iojs v0.1.2
make_fake_iojs v0.10.2
# The result should contain the version numbers.
nvm ls | grep v0.0.1 >/dev/null || die "v0.0.1 not found in: $(nvm ls)"
nvm ls | grep v0.0.3 >/dev/null || die "v0.0.3 not found in: $(nvm ls)"
nvm ls | grep v0.0.9 >/dev/null || die "v0.0.9 not found in: $(nvm ls)"
nvm ls | grep v0.3.1 >/dev/null || die "v0.3.1 not found in: $(nvm ls)"
nvm ls | grep v0.3.3 >/dev/null || die "v0.3.3 not found in: $(nvm ls)"
nvm ls | grep v0.3.9 >/dev/null || die "v0.3.9 not found in: $(nvm ls)"
nvm ls | grep v0.12.87 >/dev/null || die "v0.12.87 not found in: $(nvm ls)"
nvm ls | grep iojs-v0.1.2 >/dev/null || die "iojs-v0.1.2 not found in: $(nvm ls)"
OUTPUT="$(nvm_ls)"
EXPECTED_OUTPUT="v0.0.1
v0.0.3
v0.0.9
iojs-v0.1.2
v0.3.1
v0.3.3
v0.3.9
iojs-v0.10.2
v0.12.9
v0.12.87"
if nvm_has_system_node || nvm_has_system_iojs; then
EXPECTED_OUTPUT="${EXPECTED_OUTPUT}
system"
fi
[ "${OUTPUT-}" = "${EXPECTED_OUTPUT-}" ] || die "expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"

View File

@ -0,0 +1,10 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.1.3
make_fake_node v0.2.3
[ -z `nvm ls | grep '^ *\.'` ]
# The result should contain only the appropriate version numbers.

View File

@ -0,0 +1,10 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.1.3
make_fake_node v0.2.3
[ -z "$(nvm ls | \grep 'versions')" ]
# The result should contain only the appropriate version numbers.

View File

@ -0,0 +1,21 @@
#!/bin/sh
die () { echo "$@" ; exit 1; }
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.0.1
make_fake_node v0.0.3
make_fake_node v0.0.9
make_fake_node v0.3.1
make_fake_node v0.3.3
make_fake_node v0.3.9
nvm_has_system_node() { return 0; }
nvm ls | grep system 2>&1 > /dev/null
[ $? -eq 0 ] || die '"nvm ls" did not contain "system" when system node is present'
nvm_has_system_node() { return 1; }
nvm ls | grep system 2>&1 > /dev/null
[ $? -ne 0 ] || die '"nvm ls" contained "system" when system node is not present'

View File

@ -0,0 +1,12 @@
#!/bin/sh
die () { echo "$@" ; exit 1; }
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.12.1
make_fake_node v0.1.3
nvm ls 0.12 | grep v0.12.1 || die '"nvm ls" did not list a version in the versions/ directory'
nvm ls 0.1 | grep v0.1.3 || die '"nvm ls" did not list a version not in the versions/ directory'

View File

@ -0,0 +1,42 @@
#!/bin/zsh
export NVM_DIR="$(cd ../../.. && pwd)"
\. ../../../nvm.sh
\. ../../common.sh
if type setopt >/dev/null 2>&1; then setopt local_options markdirs; fi
die () {
if type unsetopt >/dev/null 2>&1; then unsetopt local_options markdirs; fi
echo "$@";
exit 1;
}
make_fake_node v0.0.1
make_fake_node v0.0.3
make_fake_node v0.0.9
make_fake_node v0.3.1
make_fake_node v0.3.3
make_fake_node v0.3.9
make_fake_node v0.12.87
make_fake_node v0.12.9
make_fake_iojs v0.1.2
make_fake_iojs v0.10.2
OUTPUT="$(nvm_ls)"
EXPECTED_OUTPUT="v0.0.1
v0.0.3
v0.0.9
iojs-v0.1.2
v0.3.1
v0.3.3
v0.3.9
iojs-v0.10.2
v0.12.9
v0.12.87"
if nvm_has_system_node || nvm_has_system_iojs; then
EXPECTED_OUTPUT="${EXPECTED_OUTPUT}
system"
fi
[ "${OUTPUT-}" = "${EXPECTED_OUTPUT-}" ] || die "expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"

View File

@ -0,0 +1,11 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.1.2
nvm ls v0.1 | grep v0.1.2 &&
nvm ls v0.1.2 | grep v0.1.2 &&
nvm ls v0.1. | grep v0.1.2 &&
nvm ls v0.1.1 | grep N/A

View File

@ -0,0 +1,23 @@
#!/bin/sh
die () { echo "$@" ; exit 1; }
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.12.34 || die 'fake v0.12.34 could not be made'
# Enable no unset variable
set -u
# Try an alias that does not exist
output=$(nvm ls 99 2>&1 1>/dev/null || true)
test -z "${output}" || die "1: expected empty; got >${output}"
# Try a version that does not exist
output=$(nvm ls 0.12.00 2>&1 1>/dev/null || true)
test -z "${output}" || die "2: expected empty; got >${output}"
# Try a version that does exist
output=$(nvm ls 0.12.34 2>&1 1>/dev/null || true)
test -z "${output}" || die "3: expected empty; got >${output}"

View File

View File

@ -0,0 +1,19 @@
#!/bin/sh
\. ../../../nvm.sh
\. ../../common.sh
make_fake_node v0.0.1
make_fake_node v0.0.3
make_fake_node v0.0.9
make_fake_node v0.3.1
make_fake_node v0.3.3
make_fake_node v0.3.9
make_fake_node v0.12.87
make_fake_node v0.12.9
make_fake_iojs v0.1.2
make_fake_iojs v0.10.2
set -e
IFS='' nvm ls

View File

View File

@ -0,0 +1,24 @@
#!/bin/sh
\. ../../../nvm.sh
die () {
# echo "$@" ;
echo "Expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
exit 1
}
set -e
nvm_get_colors(){
echo "0;95m"
}
# nvm_print_default_alias call nvm_print_formatted_alias which calls nvm_get-colors
# the output of nvm_print_default_alias uses the color code returned by nvm_get_colors (redefined above)
OUTPUT=$(command printf %b $(nvm_print_default_alias node ./alias v14.7.0) | awk '{ print substr($0, 1, 11); }')
EXPECTED_OUTPUT=$(command printf %b "\033[0;95mnode")
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die
set +e

View File

View File

@ -0,0 +1,52 @@
#!/bin/sh
\. ../../../nvm.sh
set -e
die () {
# echo "$@" ;
echo "Expected >${EXPECTED_OUTPUT}<; got >${OUTPUT}<"
exit 1
}
cleanup() {
if [ -n TEMP_NVM_COLORS ]; then
export NVM_COLORS=TEMP_NVM_COLORS
fi
unset TEMP_NVM_COLORS
}
if [ -n ${NVM_COLORS} ]; then
export TEMP_NVM_COLORS=NVM_COLORS
unset NVM_COLORS
fi
# default system color
nvm use system
OUTPUT=$(nvm_print_versions system)
FORMAT="\033[0;32m-> %12s\033[0m"
VERSION='system'
EXPECTED_OUTPUT=$(command printf -- "${FORMAT}\\n" "${VERSION}")
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die
nvm_ls_current() { echo "current";}
# default current color
OUTPUT=$(nvm_print_versions current)
FORMAT="\033[0;32m-> %12s\033[0m"
VERSION="current"
EXPECTED_OUTPUT=$(command printf -- "${FORMAT}\\n" "${VERSION}")
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die
# custom current color
nvm set-colors YCMGR
OUTPUT=$(nvm_print_versions current)
FORMAT="\033[1;35m-> %12s\033[0m"
VERSION="current"
EXPECTED_OUTPUT=$(command printf -- "${FORMAT}\\n" "${VERSION}")
[ "${OUTPUT}" = "${EXPECTED_OUTPUT}" ] || die
cleanup

View File

@ -0,0 +1,36 @@
v4.2.0 Argon
v4.2.1 Argon
v4.2.2 Argon
v4.2.3 Argon
v4.2.4 Argon
v4.2.5 Argon
v4.2.6 Argon
v4.3.0 Argon
v4.3.1 Argon
v4.3.2 Argon
v4.4.0 Argon
v4.4.1 Argon
v4.4.2 Argon
v4.4.3 Argon
v4.4.4 Argon
v4.4.5 Argon
v4.4.6 Argon
v4.4.7 Argon
v4.5.0 Argon
v4.6.0 Argon
v4.6.1 Argon
v4.6.2 Argon
v4.7.0 Argon
v4.7.1 Argon
v4.7.2 Argon
v4.7.3 Argon
v4.8.0 Argon
v4.8.1 Argon
v4.8.2 Argon
v4.8.3 Argon
v4.8.4 Argon
v4.8.5 Argon
v4.8.6 Argon
v4.8.7 Argon
v4.9.0 Argon
v4.9.1 Argon *

View File

@ -0,0 +1 @@
N/A

View File

@ -0,0 +1,6 @@
v6.9.6-nightly201702013f61aae59d Boron *
v8.9.1-nightly20171104a815e1b6a2 Carbon *
v10.15.3-nightly20190301156e4c8e89 Dubnium
v10.15.4-nightly201905019101d9368f Dubnium
v10.16.2-nightly20190801f025f8524b Dubnium *
v12.22.10-nightly2022012660c9d3bb95 Erbium *

View File

@ -0,0 +1,212 @@
v4.2.0 Argon
v4.2.1 Argon
v4.2.2 Argon
v4.2.3 Argon
v4.2.4 Argon
v4.2.5 Argon
v4.2.6 Argon
v4.3.0 Argon
v4.3.1 Argon
v4.3.2 Argon
v4.4.0 Argon
v4.4.1 Argon
v4.4.2 Argon
v4.4.3 Argon
v4.4.4 Argon
v4.4.5 Argon
v4.4.6 Argon
v4.4.7 Argon
v4.5.0 Argon
v4.6.0 Argon
v4.6.1 Argon
v4.6.2 Argon
v4.7.0 Argon
v4.7.1 Argon
v4.7.2 Argon
v4.7.3 Argon
v4.8.0 Argon
v4.8.1 Argon
v4.8.2 Argon
v4.8.3 Argon
v4.8.4 Argon
v4.8.5 Argon
v4.8.6 Argon
v4.8.7 Argon
v4.9.0 Argon
v4.9.1 Argon *
v6.9.0 Boron
v6.9.1 Boron
v6.9.2 Boron
v6.9.3 Boron
v6.9.4 Boron
v6.9.5 Boron
v6.10.0 Boron
v6.10.1 Boron
v6.10.2 Boron
v6.10.3 Boron
v6.11.0 Boron
v6.11.1 Boron
v6.11.2 Boron
v6.11.3 Boron
v6.11.4 Boron
v6.11.5 Boron
v6.12.0 Boron
v6.12.1 Boron
v6.12.2 Boron
v6.12.3 Boron
v6.13.0 Boron
v6.13.1 Boron
v6.14.0 Boron
v6.14.1 Boron
v6.14.2 Boron
v6.14.3 Boron
v6.14.4 Boron
v6.15.0 Boron
v6.15.1 Boron
v6.16.0 Boron
v6.17.0 Boron
v6.17.1 Boron *
v8.9.0 Carbon
v8.9.1 Carbon
v8.9.2 Carbon
v8.9.3 Carbon
v8.9.4 Carbon
v8.10.0 Carbon
v8.11.0 Carbon
v8.11.1 Carbon
v8.11.2 Carbon
v8.11.3 Carbon
v8.11.4 Carbon
v8.12.0 Carbon
v8.13.0 Carbon
v8.14.0 Carbon
v8.14.1 Carbon
v8.15.0 Carbon
v8.15.1 Carbon
v8.16.0 Carbon
v8.16.1 Carbon
v8.16.2 Carbon
v8.17.0 Carbon *
v10.13.0 Dubnium
v10.14.0 Dubnium
v10.14.1 Dubnium
v10.14.2 Dubnium
v10.15.0 Dubnium
v10.15.1 Dubnium
v10.15.2 Dubnium
v10.15.3 Dubnium
v10.16.0 Dubnium
v10.16.1 Dubnium
v10.16.2 Dubnium
v10.16.3 Dubnium
v10.17.0 Dubnium
v10.18.0 Dubnium
v10.18.1 Dubnium
v10.19.0 Dubnium
v10.20.0 Dubnium
v10.20.1 Dubnium
v10.21.0 Dubnium
v10.22.0 Dubnium
v10.22.1 Dubnium
v10.23.0 Dubnium
v10.23.1 Dubnium
v10.23.2 Dubnium
v10.23.3 Dubnium
v10.24.0 Dubnium
v10.24.1 Dubnium *
v12.13.0 Erbium
v12.13.1 Erbium
v12.14.0 Erbium
v12.14.1 Erbium
v12.15.0 Erbium
v12.16.0 Erbium
v12.16.1 Erbium
v12.16.2 Erbium
v12.16.3 Erbium
v12.17.0 Erbium
v12.18.0 Erbium
v12.18.1 Erbium
v12.18.2 Erbium
v12.18.3 Erbium
v12.18.4 Erbium
v12.19.0 Erbium
v12.19.1 Erbium
v12.20.0 Erbium
v12.20.1 Erbium
v12.20.2 Erbium
v12.21.0 Erbium
v12.22.0 Erbium
v12.22.1 Erbium
v12.22.2 Erbium
v12.22.3 Erbium
v12.22.4 Erbium
v12.22.5 Erbium
v12.22.6 Erbium
v12.22.7 Erbium
v12.22.8 Erbium
v12.22.9 Erbium
v12.22.10 Erbium
v12.22.11 Erbium
v12.22.12 Erbium *
v14.15.0 Fermium
v14.15.1 Fermium
v14.15.2 Fermium
v14.15.3 Fermium
v14.15.4 Fermium
v14.15.5 Fermium
v14.16.0 Fermium
v14.16.1 Fermium
v14.17.0 Fermium
v14.17.1 Fermium
v14.17.2 Fermium
v14.17.3 Fermium
v14.17.4 Fermium
v14.17.5 Fermium
v14.17.6 Fermium
v14.18.0 Fermium
v14.18.1 Fermium
v14.18.2 Fermium
v14.18.3 Fermium
v14.19.0 Fermium
v14.19.1 Fermium
v14.19.2 Fermium
v14.19.3 Fermium
v14.20.0 Fermium
v14.20.1 Fermium
v14.21.0 Fermium
v14.21.1 Fermium
v14.21.2 Fermium
v14.21.3 Fermium *
v16.13.0 Gallium
v16.13.1 Gallium
v16.13.2 Gallium
v16.14.0 Gallium
v16.14.1 Gallium
v16.14.2 Gallium
v16.15.0 Gallium
v16.15.1 Gallium
v16.16.0 Gallium
v16.17.0 Gallium
v16.17.1 Gallium
v16.18.0 Gallium
v16.18.1 Gallium
v16.19.0 Gallium
v16.19.1 Gallium
v16.20.0 Gallium
v16.20.1 Gallium
v16.20.2 Gallium *
v18.12.0 Hydrogen
v18.12.1 Hydrogen
v18.13.0 Hydrogen
v18.14.0 Hydrogen
v18.14.1 Hydrogen
v18.14.2 Hydrogen
v18.15.0 Hydrogen
v18.16.0 Hydrogen
v18.16.1 Hydrogen
v18.17.0 Hydrogen
v18.17.1 Hydrogen
v18.18.0 Hydrogen
v18.18.1 Hydrogen
v18.18.2 Hydrogen *
v20.9.0 Iron *

View File

@ -0,0 +1,49 @@
v0.10.41-nightly20151203036580393d
v0.10.42-nightly20160128b125512a5c
v0.12.10-nightly20160128a305339f66
v4.0.0-nightly201509079cae65c510
v5.7.1-nightly20160301c83725c604
v5.7.2-nightly2016030801c331ea37
v5.11.1-nightly2016050199920480ae
v5.11.2-nightly2016060121552bd0c5
v6.0.0-nightly20160301d9f7a597e4
v6.5.1-nightly20160901180867d6a6
v6.7.1-nightly20161001d7454e7547
v6.9.6-nightly201702013f61aae59d Boron *
v7.0.0-nightly20161001c8c2544cd9
v7.5.1-nightly2017020113a024d531
v7.7.1-nightly201703019c75f4c78a
v7.9.1-nightly20170411675ece47b3
v8.0.0-nightly201705010f58d3cbef
v8.2.1-nightly2017080132b30d519e
v8.9.1-nightly20171104a815e1b6a2 Carbon *
v9.0.0-nightly20171001f9be5fe52a
v9.5.1-nightly2018020181da708f73
v9.7.1-nightly201803013f3995b7b7
v9.9.1-nightly201803256591d9f761
v10.0.0-nightly20180401141be923f3
v10.5.1-nightly20180701b28fd37a69
v10.7.1-nightly2018080162fd84528e
v10.9.0-nightly20180906707a37f74f
v10.15.3-nightly20190301156e4c8e89 Dubnium
v10.15.4-nightly201905019101d9368f Dubnium
v10.16.2-nightly20190801f025f8524b Dubnium *
v11.0.0-nightly201810011be804d625
v11.1.0-nightly20181101af6d26281f
v12.0.0-nightly2019040166b95362df
v12.22.10-nightly2022012660c9d3bb95 Erbium *
v13.0.0-nightly2019100116e47b976b
v13.2.1-nightly20191201cbd50262c0
v13.9.1-nightly202003041bca7b6c70
v13.12.1-nightly20200401ffdd82ba3f
v14.0.0-nightly20200421c3554307c6
v15.0.0-nightly2020102011f1ad939f
v16.0.0-nightly20210420a0261d231c
v17.0.0-nightly2021100135dc3861cd
v17.5.0-nightly20220209e43808936a
v18.0.0-nightly20220419bde889bd4e
v19.0.0-nightly202210182672219b78
v20.0.0-nightly2023041197d3912eb8
v20.7.0-nightly202309173557c436181c526f41bb6ce7751e63f36695aa1d
v21.0.0-nightly202310240fb512344f
v22.0.0-nightly20231025d1ccca9d2b

View File

@ -0,0 +1 @@
v22.0.0-nightly20231025d1ccca9d2b

View File

@ -0,0 +1 @@
v21.1.0

View File

@ -0,0 +1,10 @@
lts/*|lts/iron
lts/iron|v20.9.0
lts/hydrogen|v18.18.2
lts/gallium|v16.20.2
lts/fermium|v14.21.3
lts/erbium|v12.22.12
lts/dubnium|v10.24.1
lts/carbon|v8.17.0
lts/boron|v6.17.1
lts/argon|v4.9.1

View File

@ -0,0 +1,41 @@
iojs-v1.0.0
iojs-v1.0.1
iojs-v1.0.2
iojs-v1.0.3
iojs-v1.0.4
iojs-v1.1.0
iojs-v1.2.0
iojs-v1.3.0
iojs-v1.4.1
iojs-v1.4.2
iojs-v1.4.3
iojs-v1.5.0
iojs-v1.5.1
iojs-v1.6.0
iojs-v1.6.1
iojs-v1.6.2
iojs-v1.6.3
iojs-v1.6.4
iojs-v1.7.1
iojs-v1.8.1
iojs-v1.8.2
iojs-v1.8.3
iojs-v1.8.4
iojs-v2.0.0
iojs-v2.0.1
iojs-v2.0.2
iojs-v2.1.0
iojs-v2.2.0
iojs-v2.2.1
iojs-v2.3.0
iojs-v2.3.1
iojs-v2.3.2
iojs-v2.3.3
iojs-v2.3.4
iojs-v2.4.0
iojs-v2.5.0
iojs-v3.0.0
iojs-v3.1.0
iojs-v3.2.0
iojs-v3.3.0
iojs-v3.3.1

View File

@ -0,0 +1,212 @@
v4.2.0  (LTS: Argon)
v4.2.1  (LTS: Argon)
v4.2.2  (LTS: Argon)
v4.2.3  (LTS: Argon)
v4.2.4  (LTS: Argon)
v4.2.5  (LTS: Argon)
v4.2.6  (LTS: Argon)
v4.3.0  (LTS: Argon)
v4.3.1  (LTS: Argon)
v4.3.2  (LTS: Argon)
v4.4.0  (LTS: Argon)
v4.4.1  (LTS: Argon)
v4.4.2  (LTS: Argon)
v4.4.3  (LTS: Argon)
v4.4.4  (LTS: Argon)
v4.4.5  (LTS: Argon)
v4.4.6  (LTS: Argon)
v4.4.7  (LTS: Argon)
v4.5.0  (LTS: Argon)
v4.6.0  (LTS: Argon)
v4.6.1  (LTS: Argon)
v4.6.2  (LTS: Argon)
v4.7.0  (LTS: Argon)
v4.7.1  (LTS: Argon)
v4.7.2  (LTS: Argon)
v4.7.3  (LTS: Argon)
v4.8.0  (LTS: Argon)
v4.8.1  (LTS: Argon)
v4.8.2  (LTS: Argon)
v4.8.3  (LTS: Argon)
v4.8.4  (LTS: Argon)
v4.8.5  (LTS: Argon)
v4.8.6  (LTS: Argon)
v4.8.7  (LTS: Argon)
v4.9.0  (LTS: Argon)
v4.9.1  (Latest LTS: Argon)
v6.9.0  (LTS: Boron)
v6.9.1  (LTS: Boron)
v6.9.2  (LTS: Boron)
v6.9.3  (LTS: Boron)
v6.9.4  (LTS: Boron)
v6.9.5  (LTS: Boron)
v6.10.0  (LTS: Boron)
v6.10.1  (LTS: Boron)
v6.10.2  (LTS: Boron)
v6.10.3  (LTS: Boron)
v6.11.0  (LTS: Boron)
v6.11.1  (LTS: Boron)
v6.11.2  (LTS: Boron)
v6.11.3  (LTS: Boron)
v6.11.4  (LTS: Boron)
v6.11.5  (LTS: Boron)
v6.12.0  (LTS: Boron)
v6.12.1  (LTS: Boron)
v6.12.2  (LTS: Boron)
v6.12.3  (LTS: Boron)
v6.13.0  (LTS: Boron)
v6.13.1  (LTS: Boron)
v6.14.0  (LTS: Boron)
v6.14.1  (LTS: Boron)
v6.14.2  (LTS: Boron)
v6.14.3  (LTS: Boron)
v6.14.4  (LTS: Boron)
v6.15.0  (LTS: Boron)
v6.15.1  (LTS: Boron)
v6.16.0  (LTS: Boron)
v6.17.0  (LTS: Boron)
v6.17.1  (Latest LTS: Boron)
v8.9.0  (LTS: Carbon)
v8.9.1  (LTS: Carbon)
v8.9.2  (LTS: Carbon)
v8.9.3  (LTS: Carbon)
v8.9.4  (LTS: Carbon)
v8.10.0  (LTS: Carbon)
v8.11.0  (LTS: Carbon)
v8.11.1  (LTS: Carbon)
v8.11.2  (LTS: Carbon)
v8.11.3  (LTS: Carbon)
v8.11.4  (LTS: Carbon)
v8.12.0  (LTS: Carbon)
v8.13.0  (LTS: Carbon)
v8.14.0  (LTS: Carbon)
v8.14.1  (LTS: Carbon)
v8.15.0  (LTS: Carbon)
v8.15.1  (LTS: Carbon)
v8.16.0  (LTS: Carbon)
v8.16.1  (LTS: Carbon)
v8.16.2  (LTS: Carbon)
v8.17.0  (Latest LTS: Carbon)
v10.13.0  (LTS: Dubnium)
v10.14.0  (LTS: Dubnium)
v10.14.1  (LTS: Dubnium)
v10.14.2  (LTS: Dubnium)
v10.15.0  (LTS: Dubnium)
v10.15.1  (LTS: Dubnium)
v10.15.2  (LTS: Dubnium)
v10.15.3  (LTS: Dubnium)
v10.16.0  (LTS: Dubnium)
v10.16.1  (LTS: Dubnium)
v10.16.2  (LTS: Dubnium)
v10.16.3  (LTS: Dubnium)
v10.17.0  (LTS: Dubnium)
v10.18.0  (LTS: Dubnium)
v10.18.1  (LTS: Dubnium)
v10.19.0  (LTS: Dubnium)
v10.20.0  (LTS: Dubnium)
v10.20.1  (LTS: Dubnium)
v10.21.0  (LTS: Dubnium)
v10.22.0  (LTS: Dubnium)
v10.22.1  (LTS: Dubnium)
v10.23.0  (LTS: Dubnium)
v10.23.1  (LTS: Dubnium)
v10.23.2  (LTS: Dubnium)
v10.23.3  (LTS: Dubnium)
v10.24.0  (LTS: Dubnium)
v10.24.1  (Latest LTS: Dubnium)
v12.13.0  (LTS: Erbium)
v12.13.1  (LTS: Erbium)
v12.14.0  (LTS: Erbium)
v12.14.1  (LTS: Erbium)
v12.15.0  (LTS: Erbium)
v12.16.0  (LTS: Erbium)
v12.16.1  (LTS: Erbium)
v12.16.2  (LTS: Erbium)
v12.16.3  (LTS: Erbium)
v12.17.0  (LTS: Erbium)
v12.18.0  (LTS: Erbium)
v12.18.1  (LTS: Erbium)
v12.18.2  (LTS: Erbium)
v12.18.3  (LTS: Erbium)
v12.18.4  (LTS: Erbium)
v12.19.0  (LTS: Erbium)
v12.19.1  (LTS: Erbium)
v12.20.0  (LTS: Erbium)
v12.20.1  (LTS: Erbium)
v12.20.2  (LTS: Erbium)
v12.21.0  (LTS: Erbium)
v12.22.0  (LTS: Erbium)
v12.22.1  (LTS: Erbium)
v12.22.2  (LTS: Erbium)
v12.22.3  (LTS: Erbium)
v12.22.4  (LTS: Erbium)
v12.22.5  (LTS: Erbium)
v12.22.6  (LTS: Erbium)
v12.22.7  (LTS: Erbium)
v12.22.8  (LTS: Erbium)
v12.22.9  (LTS: Erbium)
v12.22.10  (LTS: Erbium)
v12.22.11  (LTS: Erbium)
v12.22.12  (Latest LTS: Erbium)
v14.15.0  (LTS: Fermium)
v14.15.1  (LTS: Fermium)
v14.15.2  (LTS: Fermium)
v14.15.3  (LTS: Fermium)
v14.15.4  (LTS: Fermium)
v14.15.5  (LTS: Fermium)
v14.16.0  (LTS: Fermium)
v14.16.1  (LTS: Fermium)
v14.17.0  (LTS: Fermium)
v14.17.1  (LTS: Fermium)
v14.17.2  (LTS: Fermium)
v14.17.3  (LTS: Fermium)
v14.17.4  (LTS: Fermium)
v14.17.5  (LTS: Fermium)
v14.17.6  (LTS: Fermium)
v14.18.0  (LTS: Fermium)
v14.18.1  (LTS: Fermium)
v14.18.2  (LTS: Fermium)
v14.18.3  (LTS: Fermium)
v14.19.0  (LTS: Fermium)
v14.19.1  (LTS: Fermium)
v14.19.2  (LTS: Fermium)
v14.19.3  (LTS: Fermium)
v14.20.0  (LTS: Fermium)
v14.20.1  (LTS: Fermium)
v14.21.0  (LTS: Fermium)
v14.21.1  (LTS: Fermium)
v14.21.2  (LTS: Fermium)
v14.21.3  (Latest LTS: Fermium)
v16.13.0  (LTS: Gallium)
v16.13.1  (LTS: Gallium)
v16.13.2  (LTS: Gallium)
v16.14.0  (LTS: Gallium)
v16.14.1  (LTS: Gallium)
v16.14.2  (LTS: Gallium)
v16.15.0  (LTS: Gallium)
v16.15.1  (LTS: Gallium)
v16.16.0  (LTS: Gallium)
v16.17.0  (LTS: Gallium)
v16.17.1  (LTS: Gallium)
v16.18.0  (LTS: Gallium)
v16.18.1  (LTS: Gallium)
v16.19.0  (LTS: Gallium)
v16.19.1  (LTS: Gallium)
v16.20.0  (LTS: Gallium)
v16.20.1  (LTS: Gallium)
v16.20.2  (Latest LTS: Gallium)
v18.12.0  (LTS: Hydrogen)
v18.12.1  (LTS: Hydrogen)
v18.13.0  (LTS: Hydrogen)
v18.14.0  (LTS: Hydrogen)
v18.14.1  (LTS: Hydrogen)
v18.14.2  (LTS: Hydrogen)
v18.15.0  (LTS: Hydrogen)
v18.16.0  (LTS: Hydrogen)
v18.16.1  (LTS: Hydrogen)
v18.17.0  (LTS: Hydrogen)
v18.17.1  (LTS: Hydrogen)
v18.18.0  (LTS: Hydrogen)
v18.18.1  (LTS: Hydrogen)
v18.18.2  (Latest LTS: Hydrogen)
v20.9.0  (Latest LTS: Iron)

View File

@ -0,0 +1,711 @@
v0.1.14
v0.1.15
v0.1.16
v0.1.17
v0.1.18
v0.1.19
v0.1.20
v0.1.21
v0.1.22
v0.1.23
v0.1.24
v0.1.25
v0.1.26
v0.1.27
v0.1.28
v0.1.29
v0.1.30
v0.1.31
v0.1.32
v0.1.33
v0.1.90
v0.1.91
v0.1.92
v0.1.93
v0.1.94
v0.1.95
v0.1.96
v0.1.97
v0.1.98
v0.1.99
v0.1.100
v0.1.101
v0.1.102
v0.1.103
v0.1.104
v0.2.0
v0.2.1
v0.2.2
v0.2.3
v0.2.4
v0.2.5
v0.2.6
v0.3.0
v0.3.1
v0.3.2
v0.3.3
v0.3.4
v0.3.5
v0.3.6
v0.3.7
v0.3.8
v0.4.0
v0.4.1
v0.4.2
v0.4.3
v0.4.4
v0.4.5
v0.4.6
v0.4.7
v0.4.8
v0.4.9
v0.4.10
v0.4.11
v0.4.12
v0.5.0
v0.5.1
v0.5.2
v0.5.3
v0.5.4
v0.5.5
v0.5.6
v0.5.7
v0.5.8
v0.5.9
v0.5.10
v0.6.0
v0.6.1
v0.6.2
v0.6.3
v0.6.4
v0.6.5
v0.6.6
v0.6.7
v0.6.8
v0.6.9
v0.6.10
v0.6.11
v0.6.12
v0.6.13
v0.6.14
v0.6.15
v0.6.16
v0.6.17
v0.6.18
v0.6.19
v0.6.20
v0.6.21
v0.7.0
v0.7.1
v0.7.2
v0.7.3
v0.7.4
v0.7.5
v0.7.6
v0.7.7
v0.7.8
v0.7.9
v0.7.10
v0.7.11
v0.7.12
v0.8.0
v0.8.1
v0.8.2
v0.8.3
v0.8.4
v0.8.5
v0.8.6
v0.8.7
v0.8.8
v0.8.9
v0.8.10
v0.8.11
v0.8.12
v0.8.13
v0.8.14
v0.8.15
v0.8.16
v0.8.17
v0.8.18
v0.8.19
v0.8.20
v0.8.21
v0.8.22
v0.8.23
v0.8.24
v0.8.25
v0.8.26
v0.8.27
v0.8.28
v0.9.0
v0.9.1
v0.9.2
v0.9.3
v0.9.4
v0.9.5
v0.9.6
v0.9.7
v0.9.8
v0.9.9
v0.9.10
v0.9.11
v0.9.12
v0.10.0
v0.10.1
v0.10.2
v0.10.3
v0.10.4
v0.10.5
v0.10.6
v0.10.7
v0.10.8
v0.10.9
v0.10.10
v0.10.11
v0.10.12
v0.10.13
v0.10.14
v0.10.15
v0.10.16
v0.10.17
v0.10.18
v0.10.19
v0.10.20
v0.10.21
v0.10.22
v0.10.23
v0.10.24
v0.10.25
v0.10.26
v0.10.27
v0.10.28
v0.10.29
v0.10.30
v0.10.31
v0.10.32
v0.10.33
v0.10.34
v0.10.35
v0.10.36
v0.10.37
v0.10.38
v0.10.39
v0.10.40
v0.10.41
v0.10.42
v0.10.43
v0.10.44
v0.10.45
v0.10.46
v0.10.47
v0.10.48
v0.11.0
v0.11.1
v0.11.2
v0.11.3
v0.11.4
v0.11.5
v0.11.6
v0.11.7
v0.11.8
v0.11.9
v0.11.10
v0.11.11
v0.11.12
v0.11.13
v0.11.14
v0.11.15
v0.11.16
v0.12.0
v0.12.1
v0.12.2
v0.12.3
v0.12.4
v0.12.5
v0.12.6
v0.12.7
v0.12.8
v0.12.9
v0.12.10
v0.12.11
v0.12.12
v0.12.13
v0.12.14
v0.12.15
v0.12.16
v0.12.17
v0.12.18
v4.0.0
v4.1.0
v4.1.1
v4.1.2
v4.2.0  (LTS: Argon)
v4.2.1  (LTS: Argon)
v4.2.2  (LTS: Argon)
v4.2.3  (LTS: Argon)
v4.2.4  (LTS: Argon)
v4.2.5  (LTS: Argon)
v4.2.6  (LTS: Argon)
v4.3.0  (LTS: Argon)
v4.3.1  (LTS: Argon)
v4.3.2  (LTS: Argon)
v4.4.0  (LTS: Argon)
v4.4.1  (LTS: Argon)
v4.4.2  (LTS: Argon)
v4.4.3  (LTS: Argon)
v4.4.4  (LTS: Argon)
v4.4.5  (LTS: Argon)
v4.4.6  (LTS: Argon)
v4.4.7  (LTS: Argon)
v4.5.0  (LTS: Argon)
v4.6.0  (LTS: Argon)
v4.6.1  (LTS: Argon)
v4.6.2  (LTS: Argon)
v4.7.0  (LTS: Argon)
v4.7.1  (LTS: Argon)
v4.7.2  (LTS: Argon)
v4.7.3  (LTS: Argon)
v4.8.0  (LTS: Argon)
v4.8.1  (LTS: Argon)
v4.8.2  (LTS: Argon)
v4.8.3  (LTS: Argon)
v4.8.4  (LTS: Argon)
v4.8.5  (LTS: Argon)
v4.8.6  (LTS: Argon)
v4.8.7  (LTS: Argon)
v4.9.0  (LTS: Argon)
v4.9.1  (Latest LTS: Argon)
v5.0.0
v5.1.0
v5.1.1
v5.2.0
v5.3.0
v5.4.0
v5.4.1
v5.5.0
v5.6.0
v5.7.0
v5.7.1
v5.8.0
v5.9.0
v5.9.1
v5.10.0
v5.10.1
v5.11.0
v5.11.1
v5.12.0
v6.0.0
v6.1.0
v6.2.0
v6.2.1
v6.2.2
v6.3.0
v6.3.1
v6.4.0
v6.5.0
v6.6.0
v6.7.0
v6.8.0
v6.8.1
v6.9.0  (LTS: Boron)
v6.9.1  (LTS: Boron)
v6.9.2  (LTS: Boron)
v6.9.3  (LTS: Boron)
v6.9.4  (LTS: Boron)
v6.9.5  (LTS: Boron)
v6.10.0  (LTS: Boron)
v6.10.1  (LTS: Boron)
v6.10.2  (LTS: Boron)
v6.10.3  (LTS: Boron)
v6.11.0  (LTS: Boron)
v6.11.1  (LTS: Boron)
v6.11.2  (LTS: Boron)
v6.11.3  (LTS: Boron)
v6.11.4  (LTS: Boron)
v6.11.5  (LTS: Boron)
v6.12.0  (LTS: Boron)
v6.12.1  (LTS: Boron)
v6.12.2  (LTS: Boron)
v6.12.3  (LTS: Boron)
v6.13.0  (LTS: Boron)
v6.13.1  (LTS: Boron)
v6.14.0  (LTS: Boron)
v6.14.1  (LTS: Boron)
v6.14.2  (LTS: Boron)
v6.14.3  (LTS: Boron)
v6.14.4  (LTS: Boron)
v6.15.0  (LTS: Boron)
v6.15.1  (LTS: Boron)
v6.16.0  (LTS: Boron)
v6.17.0  (LTS: Boron)
v6.17.1  (Latest LTS: Boron)
v7.0.0
v7.1.0
v7.2.0
v7.2.1
v7.3.0
v7.4.0
v7.5.0
v7.6.0
v7.7.0
v7.7.1
v7.7.2
v7.7.3
v7.7.4
v7.8.0
v7.9.0
v7.10.0
v7.10.1
v8.0.0
v8.1.0
v8.1.1
v8.1.2
v8.1.3
v8.1.4
v8.2.0
v8.2.1
v8.3.0
v8.4.0
v8.5.0
v8.6.0
v8.7.0
v8.8.0
v8.8.1
v8.9.0  (LTS: Carbon)
v8.9.1  (LTS: Carbon)
v8.9.2  (LTS: Carbon)
v8.9.3  (LTS: Carbon)
v8.9.4  (LTS: Carbon)
v8.10.0  (LTS: Carbon)
v8.11.0  (LTS: Carbon)
v8.11.1  (LTS: Carbon)
v8.11.2  (LTS: Carbon)
v8.11.3  (LTS: Carbon)
v8.11.4  (LTS: Carbon)
v8.12.0  (LTS: Carbon)
v8.13.0  (LTS: Carbon)
v8.14.0  (LTS: Carbon)
v8.14.1  (LTS: Carbon)
v8.15.0  (LTS: Carbon)
v8.15.1  (LTS: Carbon)
v8.16.0  (LTS: Carbon)
v8.16.1  (LTS: Carbon)
v8.16.2  (LTS: Carbon)
v8.17.0  (Latest LTS: Carbon)
v9.0.0
v9.1.0
v9.2.0
v9.2.1
v9.3.0
v9.4.0
v9.5.0
v9.6.0
v9.6.1
v9.7.0
v9.7.1
v9.8.0
v9.9.0
v9.10.0
v9.10.1
v9.11.0
v9.11.1
v9.11.2
v10.0.0
v10.1.0
v10.2.0
v10.2.1
v10.3.0
v10.4.0
v10.4.1
v10.5.0
v10.6.0
v10.7.0
v10.8.0
v10.9.0
v10.10.0
v10.11.0
v10.12.0
v10.13.0  (LTS: Dubnium)
v10.14.0  (LTS: Dubnium)
v10.14.1  (LTS: Dubnium)
v10.14.2  (LTS: Dubnium)
v10.15.0  (LTS: Dubnium)
v10.15.1  (LTS: Dubnium)
v10.15.2  (LTS: Dubnium)
v10.15.3  (LTS: Dubnium)
v10.16.0  (LTS: Dubnium)
v10.16.1  (LTS: Dubnium)
v10.16.2  (LTS: Dubnium)
v10.16.3  (LTS: Dubnium)
v10.17.0  (LTS: Dubnium)
v10.18.0  (LTS: Dubnium)
v10.18.1  (LTS: Dubnium)
v10.19.0  (LTS: Dubnium)
v10.20.0  (LTS: Dubnium)
v10.20.1  (LTS: Dubnium)
v10.21.0  (LTS: Dubnium)
v10.22.0  (LTS: Dubnium)
v10.22.1  (LTS: Dubnium)
v10.23.0  (LTS: Dubnium)
v10.23.1  (LTS: Dubnium)
v10.23.2  (LTS: Dubnium)
v10.23.3  (LTS: Dubnium)
v10.24.0  (LTS: Dubnium)
v10.24.1  (Latest LTS: Dubnium)
v11.0.0
v11.1.0
v11.2.0
v11.3.0
v11.4.0
v11.5.0
v11.6.0
v11.7.0
v11.8.0
v11.9.0
v11.10.0
v11.10.1
v11.11.0
v11.12.0
v11.13.0
v11.14.0
v11.15.0
v12.0.0
v12.1.0
v12.2.0
v12.3.0
v12.3.1
v12.4.0
v12.5.0
v12.6.0
v12.7.0
v12.8.0
v12.8.1
v12.9.0
v12.9.1
v12.10.0
v12.11.0
v12.11.1
v12.12.0
v12.13.0  (LTS: Erbium)
v12.13.1  (LTS: Erbium)
v12.14.0  (LTS: Erbium)
v12.14.1  (LTS: Erbium)
v12.15.0  (LTS: Erbium)
v12.16.0  (LTS: Erbium)
v12.16.1  (LTS: Erbium)
v12.16.2  (LTS: Erbium)
v12.16.3  (LTS: Erbium)
v12.17.0  (LTS: Erbium)
v12.18.0  (LTS: Erbium)
v12.18.1  (LTS: Erbium)
v12.18.2  (LTS: Erbium)
v12.18.3  (LTS: Erbium)
v12.18.4  (LTS: Erbium)
v12.19.0  (LTS: Erbium)
v12.19.1  (LTS: Erbium)
v12.20.0  (LTS: Erbium)
v12.20.1  (LTS: Erbium)
v12.20.2  (LTS: Erbium)
v12.21.0  (LTS: Erbium)
v12.22.0  (LTS: Erbium)
v12.22.1  (LTS: Erbium)
v12.22.2  (LTS: Erbium)
v12.22.3  (LTS: Erbium)
v12.22.4  (LTS: Erbium)
v12.22.5  (LTS: Erbium)
v12.22.6  (LTS: Erbium)
v12.22.7  (LTS: Erbium)
v12.22.8  (LTS: Erbium)
v12.22.9  (LTS: Erbium)
v12.22.10  (LTS: Erbium)
v12.22.11  (LTS: Erbium)
v12.22.12  (Latest LTS: Erbium)
v13.0.0
v13.0.1
v13.1.0
v13.2.0
v13.3.0
v13.4.0
v13.5.0
v13.6.0
v13.7.0
v13.8.0
v13.9.0
v13.10.0
v13.10.1
v13.11.0
v13.12.0
v13.13.0
v13.14.0
v14.0.0
v14.1.0
v14.2.0
v14.3.0
v14.4.0
v14.5.0
v14.6.0
v14.7.0
v14.8.0
v14.9.0
v14.10.0
v14.10.1
v14.11.0
v14.12.0
v14.13.0
v14.13.1
v14.14.0
v14.15.0  (LTS: Fermium)
v14.15.1  (LTS: Fermium)
v14.15.2  (LTS: Fermium)
v14.15.3  (LTS: Fermium)
v14.15.4  (LTS: Fermium)
v14.15.5  (LTS: Fermium)
v14.16.0  (LTS: Fermium)
v14.16.1  (LTS: Fermium)
v14.17.0  (LTS: Fermium)
v14.17.1  (LTS: Fermium)
v14.17.2  (LTS: Fermium)
v14.17.3  (LTS: Fermium)
v14.17.4  (LTS: Fermium)
v14.17.5  (LTS: Fermium)
v14.17.6  (LTS: Fermium)
v14.18.0  (LTS: Fermium)
v14.18.1  (LTS: Fermium)
v14.18.2  (LTS: Fermium)
v14.18.3  (LTS: Fermium)
v14.19.0  (LTS: Fermium)
v14.19.1  (LTS: Fermium)
v14.19.2  (LTS: Fermium)
v14.19.3  (LTS: Fermium)
v14.20.0  (LTS: Fermium)
v14.20.1  (LTS: Fermium)
v14.21.0  (LTS: Fermium)
v14.21.1  (LTS: Fermium)
v14.21.2  (LTS: Fermium)
v14.21.3  (Latest LTS: Fermium)
v15.0.0
v15.0.1
v15.1.0
v15.2.0
v15.2.1
v15.3.0
v15.4.0
v15.5.0
v15.5.1
v15.6.0
v15.7.0
v15.8.0
v15.9.0
v15.10.0
v15.11.0
v15.12.0
v15.13.0
v15.14.0
v16.0.0
v16.1.0
v16.2.0
v16.3.0
v16.4.0
v16.4.1
v16.4.2
v16.5.0
v16.6.0
v16.6.1
v16.6.2
v16.7.0
v16.8.0
v16.9.0
v16.9.1
v16.10.0
v16.11.0
v16.11.1
v16.12.0
v16.13.0  (LTS: Gallium)
v16.13.1  (LTS: Gallium)
v16.13.2  (LTS: Gallium)
v16.14.0  (LTS: Gallium)
v16.14.1  (LTS: Gallium)
v16.14.2  (LTS: Gallium)
v16.15.0  (LTS: Gallium)
v16.15.1  (LTS: Gallium)
v16.16.0  (LTS: Gallium)
v16.17.0  (LTS: Gallium)
v16.17.1  (LTS: Gallium)
v16.18.0  (LTS: Gallium)
v16.18.1  (LTS: Gallium)
v16.19.0  (LTS: Gallium)
v16.19.1  (LTS: Gallium)
v16.20.0  (LTS: Gallium)
v16.20.1  (LTS: Gallium)
v16.20.2  (Latest LTS: Gallium)
v17.0.0
v17.0.1
v17.1.0
v17.2.0
v17.3.0
v17.3.1
v17.4.0
v17.5.0
v17.6.0
v17.7.0
v17.7.1
v17.7.2
v17.8.0
v17.9.0
v17.9.1
v18.0.0
v18.1.0
v18.2.0
v18.3.0
v18.4.0
v18.5.0
v18.6.0
v18.7.0
v18.8.0
v18.9.0
v18.9.1
v18.10.0
v18.11.0
v18.12.0  (LTS: Hydrogen)
v18.12.1  (LTS: Hydrogen)
v18.13.0  (LTS: Hydrogen)
v18.14.0  (LTS: Hydrogen)
v18.14.1  (LTS: Hydrogen)
v18.14.2  (LTS: Hydrogen)
v18.15.0  (LTS: Hydrogen)
v18.16.0  (LTS: Hydrogen)
v18.16.1  (LTS: Hydrogen)
v18.17.0  (LTS: Hydrogen)
v18.17.1  (LTS: Hydrogen)
v18.18.0  (LTS: Hydrogen)
v18.18.1  (LTS: Hydrogen)
v18.18.2  (Latest LTS: Hydrogen)
v19.0.0
v19.0.1
v19.1.0
v19.2.0
v19.3.0
v19.4.0
v19.5.0
v19.6.0
v19.6.1
v19.7.0
v19.8.0
v19.8.1
v19.9.0
v20.0.0
v20.1.0
v20.2.0
v20.3.0
v20.3.1
v20.4.0
v20.5.0
v20.5.1
v20.6.0
v20.6.1
v20.7.0
v20.8.0
v20.8.1
v20.9.0  (Latest LTS: Iron)
v21.0.0
v21.1.0

View File

@ -0,0 +1,752 @@
v0.1.14
v0.1.15
v0.1.16
v0.1.17
v0.1.18
v0.1.19
v0.1.20
v0.1.21
v0.1.22
v0.1.23
v0.1.24
v0.1.25
v0.1.26
v0.1.27
v0.1.28
v0.1.29
v0.1.30
v0.1.31
v0.1.32
v0.1.33
v0.1.90
v0.1.91
v0.1.92
v0.1.93
v0.1.94
v0.1.95
v0.1.96
v0.1.97
v0.1.98
v0.1.99
v0.1.100
v0.1.101
v0.1.102
v0.1.103
v0.1.104
v0.2.0
v0.2.1
v0.2.2
v0.2.3
v0.2.4
v0.2.5
v0.2.6
v0.3.0
v0.3.1
v0.3.2
v0.3.3
v0.3.4
v0.3.5
v0.3.6
v0.3.7
v0.3.8
v0.4.0
v0.4.1
v0.4.2
v0.4.3
v0.4.4
v0.4.5
v0.4.6
v0.4.7
v0.4.8
v0.4.9
v0.4.10
v0.4.11
v0.4.12
v0.5.0
v0.5.1
v0.5.2
v0.5.3
v0.5.4
v0.5.5
v0.5.6
v0.5.7
v0.5.8
v0.5.9
v0.5.10
v0.6.0
v0.6.1
v0.6.2
v0.6.3
v0.6.4
v0.6.5
v0.6.6
v0.6.7
v0.6.8
v0.6.9
v0.6.10
v0.6.11
v0.6.12
v0.6.13
v0.6.14
v0.6.15
v0.6.16
v0.6.17
v0.6.18
v0.6.19
v0.6.20
v0.6.21
v0.7.0
v0.7.1
v0.7.2
v0.7.3
v0.7.4
v0.7.5
v0.7.6
v0.7.7
v0.7.8
v0.7.9
v0.7.10
v0.7.11
v0.7.12
v0.8.0
v0.8.1
v0.8.2
v0.8.3
v0.8.4
v0.8.5
v0.8.6
v0.8.7
v0.8.8
v0.8.9
v0.8.10
v0.8.11
v0.8.12
v0.8.13
v0.8.14
v0.8.15
v0.8.16
v0.8.17
v0.8.18
v0.8.19
v0.8.20
v0.8.21
v0.8.22
v0.8.23
v0.8.24
v0.8.25
v0.8.26
v0.8.27
v0.8.28
v0.9.0
v0.9.1
v0.9.2
v0.9.3
v0.9.4
v0.9.5
v0.9.6
v0.9.7
v0.9.8
v0.9.9
v0.9.10
v0.9.11
v0.9.12
v0.10.0
v0.10.1
v0.10.2
v0.10.3
v0.10.4
v0.10.5
v0.10.6
v0.10.7
v0.10.8
v0.10.9
v0.10.10
v0.10.11
v0.10.12
v0.10.13
v0.10.14
v0.10.15
v0.10.16
v0.10.17
v0.10.18
v0.10.19
v0.10.20
v0.10.21
v0.10.22
v0.10.23
v0.10.24
v0.10.25
v0.10.26
v0.10.27
v0.10.28
v0.10.29
v0.10.30
v0.10.31
v0.10.32
v0.10.33
v0.10.34
v0.10.35
v0.10.36
v0.10.37
v0.10.38
v0.10.39
v0.10.40
v0.10.41
v0.10.42
v0.10.43
v0.10.44
v0.10.45
v0.10.46
v0.10.47
v0.10.48
v0.11.0
v0.11.1
v0.11.2
v0.11.3
v0.11.4
v0.11.5
v0.11.6
v0.11.7
v0.11.8
v0.11.9
v0.11.10
v0.11.11
v0.11.12
v0.11.13
v0.11.14
v0.11.15
v0.11.16
v0.12.0
v0.12.1
v0.12.2
v0.12.3
v0.12.4
v0.12.5
v0.12.6
v0.12.7
v0.12.8
v0.12.9
v0.12.10
v0.12.11
v0.12.12
v0.12.13
v0.12.14
v0.12.15
v0.12.16
v0.12.17
v0.12.18
iojs-v1.0.0
iojs-v1.0.1
iojs-v1.0.2
iojs-v1.0.3
iojs-v1.0.4
iojs-v1.1.0
iojs-v1.2.0
iojs-v1.3.0
iojs-v1.4.1
iojs-v1.4.2
iojs-v1.4.3
iojs-v1.5.0
iojs-v1.5.1
iojs-v1.6.0
iojs-v1.6.1
iojs-v1.6.2
iojs-v1.6.3
iojs-v1.6.4
iojs-v1.7.1
iojs-v1.8.1
iojs-v1.8.2
iojs-v1.8.3
iojs-v1.8.4
iojs-v2.0.0
iojs-v2.0.1
iojs-v2.0.2
iojs-v2.1.0
iojs-v2.2.0
iojs-v2.2.1
iojs-v2.3.0
iojs-v2.3.1
iojs-v2.3.2
iojs-v2.3.3
iojs-v2.3.4
iojs-v2.4.0
iojs-v2.5.0
iojs-v3.0.0
iojs-v3.1.0
iojs-v3.2.0
iojs-v3.3.0
iojs-v3.3.1
v4.0.0
v4.1.0
v4.1.1
v4.1.2
v4.2.0  (LTS: Argon)
v4.2.1  (LTS: Argon)
v4.2.2  (LTS: Argon)
v4.2.3  (LTS: Argon)
v4.2.4  (LTS: Argon)
v4.2.5  (LTS: Argon)
v4.2.6  (LTS: Argon)
v4.3.0  (LTS: Argon)
v4.3.1  (LTS: Argon)
v4.3.2  (LTS: Argon)
v4.4.0  (LTS: Argon)
v4.4.1  (LTS: Argon)
v4.4.2  (LTS: Argon)
v4.4.3  (LTS: Argon)
v4.4.4  (LTS: Argon)
v4.4.5  (LTS: Argon)
v4.4.6  (LTS: Argon)
v4.4.7  (LTS: Argon)
v4.5.0  (LTS: Argon)
v4.6.0  (LTS: Argon)
v4.6.1  (LTS: Argon)
v4.6.2  (LTS: Argon)
v4.7.0  (LTS: Argon)
v4.7.1  (LTS: Argon)
v4.7.2  (LTS: Argon)
v4.7.3  (LTS: Argon)
v4.8.0  (LTS: Argon)
v4.8.1  (LTS: Argon)
v4.8.2  (LTS: Argon)
v4.8.3  (LTS: Argon)
v4.8.4  (LTS: Argon)
v4.8.5  (LTS: Argon)
v4.8.6  (LTS: Argon)
v4.8.7  (LTS: Argon)
v4.9.0  (LTS: Argon)
v4.9.1  (Latest LTS: Argon)
v5.0.0
v5.1.0
v5.1.1
v5.2.0
v5.3.0
v5.4.0
v5.4.1
v5.5.0
v5.6.0
v5.7.0
v5.7.1
v5.8.0
v5.9.0
v5.9.1
v5.10.0
v5.10.1
v5.11.0
v5.11.1
v5.12.0
v6.0.0
v6.1.0
v6.2.0
v6.2.1
v6.2.2
v6.3.0
v6.3.1
v6.4.0
v6.5.0
v6.6.0
v6.7.0
v6.8.0
v6.8.1
v6.9.0  (LTS: Boron)
v6.9.1  (LTS: Boron)
v6.9.2  (LTS: Boron)
v6.9.3  (LTS: Boron)
v6.9.4  (LTS: Boron)
v6.9.5  (LTS: Boron)
v6.10.0  (LTS: Boron)
v6.10.1  (LTS: Boron)
v6.10.2  (LTS: Boron)
v6.10.3  (LTS: Boron)
v6.11.0  (LTS: Boron)
v6.11.1  (LTS: Boron)
v6.11.2  (LTS: Boron)
v6.11.3  (LTS: Boron)
v6.11.4  (LTS: Boron)
v6.11.5  (LTS: Boron)
v6.12.0  (LTS: Boron)
v6.12.1  (LTS: Boron)
v6.12.2  (LTS: Boron)
v6.12.3  (LTS: Boron)
v6.13.0  (LTS: Boron)
v6.13.1  (LTS: Boron)
v6.14.0  (LTS: Boron)
v6.14.1  (LTS: Boron)
v6.14.2  (LTS: Boron)
v6.14.3  (LTS: Boron)
v6.14.4  (LTS: Boron)
v6.15.0  (LTS: Boron)
v6.15.1  (LTS: Boron)
v6.16.0  (LTS: Boron)
v6.17.0  (LTS: Boron)
v6.17.1  (Latest LTS: Boron)
v7.0.0
v7.1.0
v7.2.0
v7.2.1
v7.3.0
v7.4.0
v7.5.0
v7.6.0
v7.7.0
v7.7.1
v7.7.2
v7.7.3
v7.7.4
v7.8.0
v7.9.0
v7.10.0
v7.10.1
v8.0.0
v8.1.0
v8.1.1
v8.1.2
v8.1.3
v8.1.4
v8.2.0
v8.2.1
v8.3.0
v8.4.0
v8.5.0
v8.6.0
v8.7.0
v8.8.0
v8.8.1
v8.9.0  (LTS: Carbon)
v8.9.1  (LTS: Carbon)
v8.9.2  (LTS: Carbon)
v8.9.3  (LTS: Carbon)
v8.9.4  (LTS: Carbon)
v8.10.0  (LTS: Carbon)
v8.11.0  (LTS: Carbon)
v8.11.1  (LTS: Carbon)
v8.11.2  (LTS: Carbon)
v8.11.3  (LTS: Carbon)
v8.11.4  (LTS: Carbon)
v8.12.0  (LTS: Carbon)
v8.13.0  (LTS: Carbon)
v8.14.0  (LTS: Carbon)
v8.14.1  (LTS: Carbon)
v8.15.0  (LTS: Carbon)
v8.15.1  (LTS: Carbon)
v8.16.0  (LTS: Carbon)
v8.16.1  (LTS: Carbon)
v8.16.2  (LTS: Carbon)
v8.17.0  (Latest LTS: Carbon)
v9.0.0
v9.1.0
v9.2.0
v9.2.1
v9.3.0
v9.4.0
v9.5.0
v9.6.0
v9.6.1
v9.7.0
v9.7.1
v9.8.0
v9.9.0
v9.10.0
v9.10.1
v9.11.0
v9.11.1
v9.11.2
v10.0.0
v10.1.0
v10.2.0
v10.2.1
v10.3.0
v10.4.0
v10.4.1
v10.5.0
v10.6.0
v10.7.0
v10.8.0
v10.9.0
v10.10.0
v10.11.0
v10.12.0
v10.13.0  (LTS: Dubnium)
v10.14.0  (LTS: Dubnium)
v10.14.1  (LTS: Dubnium)
v10.14.2  (LTS: Dubnium)
v10.15.0  (LTS: Dubnium)
v10.15.1  (LTS: Dubnium)
v10.15.2  (LTS: Dubnium)
v10.15.3  (LTS: Dubnium)
v10.16.0  (LTS: Dubnium)
v10.16.1  (LTS: Dubnium)
v10.16.2  (LTS: Dubnium)
v10.16.3  (LTS: Dubnium)
v10.17.0  (LTS: Dubnium)
v10.18.0  (LTS: Dubnium)
v10.18.1  (LTS: Dubnium)
v10.19.0  (LTS: Dubnium)
v10.20.0  (LTS: Dubnium)
v10.20.1  (LTS: Dubnium)
v10.21.0  (LTS: Dubnium)
v10.22.0  (LTS: Dubnium)
v10.22.1  (LTS: Dubnium)
v10.23.0  (LTS: Dubnium)
v10.23.1  (LTS: Dubnium)
v10.23.2  (LTS: Dubnium)
v10.23.3  (LTS: Dubnium)
v10.24.0  (LTS: Dubnium)
v10.24.1  (Latest LTS: Dubnium)
v11.0.0
v11.1.0
v11.2.0
v11.3.0
v11.4.0
v11.5.0
v11.6.0
v11.7.0
v11.8.0
v11.9.0
v11.10.0
v11.10.1
v11.11.0
v11.12.0
v11.13.0
v11.14.0
v11.15.0
v12.0.0
v12.1.0
v12.2.0
v12.3.0
v12.3.1
v12.4.0
v12.5.0
v12.6.0
v12.7.0
v12.8.0
v12.8.1
v12.9.0
v12.9.1
v12.10.0
v12.11.0
v12.11.1
v12.12.0
v12.13.0  (LTS: Erbium)
v12.13.1  (LTS: Erbium)
v12.14.0  (LTS: Erbium)
v12.14.1  (LTS: Erbium)
v12.15.0  (LTS: Erbium)
v12.16.0  (LTS: Erbium)
v12.16.1  (LTS: Erbium)
v12.16.2  (LTS: Erbium)
v12.16.3  (LTS: Erbium)
v12.17.0  (LTS: Erbium)
v12.18.0  (LTS: Erbium)
v12.18.1  (LTS: Erbium)
v12.18.2  (LTS: Erbium)
v12.18.3  (LTS: Erbium)
v12.18.4  (LTS: Erbium)
v12.19.0  (LTS: Erbium)
v12.19.1  (LTS: Erbium)
v12.20.0  (LTS: Erbium)
v12.20.1  (LTS: Erbium)
v12.20.2  (LTS: Erbium)
v12.21.0  (LTS: Erbium)
v12.22.0  (LTS: Erbium)
v12.22.1  (LTS: Erbium)
v12.22.2  (LTS: Erbium)
v12.22.3  (LTS: Erbium)
v12.22.4  (LTS: Erbium)
v12.22.5  (LTS: Erbium)
v12.22.6  (LTS: Erbium)
v12.22.7  (LTS: Erbium)
v12.22.8  (LTS: Erbium)
v12.22.9  (LTS: Erbium)
v12.22.10  (LTS: Erbium)
v12.22.11  (LTS: Erbium)
v12.22.12  (Latest LTS: Erbium)
v13.0.0
v13.0.1
v13.1.0
v13.2.0
v13.3.0
v13.4.0
v13.5.0
v13.6.0
v13.7.0
v13.8.0
v13.9.0
v13.10.0
v13.10.1
v13.11.0
v13.12.0
v13.13.0
v13.14.0
v14.0.0
v14.1.0
v14.2.0
v14.3.0
v14.4.0
v14.5.0
v14.6.0
v14.7.0
v14.8.0
v14.9.0
v14.10.0
v14.10.1
v14.11.0
v14.12.0
v14.13.0
v14.13.1
v14.14.0
v14.15.0  (LTS: Fermium)
v14.15.1  (LTS: Fermium)
v14.15.2  (LTS: Fermium)
v14.15.3  (LTS: Fermium)
v14.15.4  (LTS: Fermium)
v14.15.5  (LTS: Fermium)
v14.16.0  (LTS: Fermium)
v14.16.1  (LTS: Fermium)
v14.17.0  (LTS: Fermium)
v14.17.1  (LTS: Fermium)
v14.17.2  (LTS: Fermium)
v14.17.3  (LTS: Fermium)
v14.17.4  (LTS: Fermium)
v14.17.5  (LTS: Fermium)
v14.17.6  (LTS: Fermium)
v14.18.0  (LTS: Fermium)
v14.18.1  (LTS: Fermium)
v14.18.2  (LTS: Fermium)
v14.18.3  (LTS: Fermium)
v14.19.0  (LTS: Fermium)
v14.19.1  (LTS: Fermium)
v14.19.2  (LTS: Fermium)
v14.19.3  (LTS: Fermium)
v14.20.0  (LTS: Fermium)
v14.20.1  (LTS: Fermium)
v14.21.0  (LTS: Fermium)
v14.21.1  (LTS: Fermium)
v14.21.2  (LTS: Fermium)
v14.21.3  (Latest LTS: Fermium)
v15.0.0
v15.0.1
v15.1.0
v15.2.0
v15.2.1
v15.3.0
v15.4.0
v15.5.0
v15.5.1
v15.6.0
v15.7.0
v15.8.0
v15.9.0
v15.10.0
v15.11.0
v15.12.0
v15.13.0
v15.14.0
v16.0.0
v16.1.0
v16.2.0
v16.3.0
v16.4.0
v16.4.1
v16.4.2
v16.5.0
v16.6.0
v16.6.1
v16.6.2
v16.7.0
v16.8.0
v16.9.0
v16.9.1
v16.10.0
v16.11.0
v16.11.1
v16.12.0
v16.13.0  (LTS: Gallium)
v16.13.1  (LTS: Gallium)
v16.13.2  (LTS: Gallium)
v16.14.0  (LTS: Gallium)
v16.14.1  (LTS: Gallium)
v16.14.2  (LTS: Gallium)
v16.15.0  (LTS: Gallium)
v16.15.1  (LTS: Gallium)
v16.16.0  (LTS: Gallium)
v16.17.0  (LTS: Gallium)
v16.17.1  (LTS: Gallium)
v16.18.0  (LTS: Gallium)
v16.18.1  (LTS: Gallium)
v16.19.0  (LTS: Gallium)
v16.19.1  (LTS: Gallium)
v16.20.0  (LTS: Gallium)
v16.20.1  (LTS: Gallium)
v16.20.2  (Latest LTS: Gallium)
v17.0.0
v17.0.1
v17.1.0
v17.2.0
v17.3.0
v17.3.1
v17.4.0
v17.5.0
v17.6.0
v17.7.0
v17.7.1
v17.7.2
v17.8.0
v17.9.0
v17.9.1
v18.0.0
v18.1.0
v18.2.0
v18.3.0
v18.4.0
v18.5.0
v18.6.0
v18.7.0
v18.8.0
v18.9.0
v18.9.1
v18.10.0
v18.11.0
v18.12.0  (LTS: Hydrogen)
v18.12.1  (LTS: Hydrogen)
v18.13.0  (LTS: Hydrogen)
v18.14.0  (LTS: Hydrogen)
v18.14.1  (LTS: Hydrogen)
v18.14.2  (LTS: Hydrogen)
v18.15.0  (LTS: Hydrogen)
v18.16.0  (LTS: Hydrogen)
v18.16.1  (LTS: Hydrogen)
v18.17.0  (LTS: Hydrogen)
v18.17.1  (LTS: Hydrogen)
v18.18.0  (LTS: Hydrogen)
v18.18.1  (LTS: Hydrogen)
v18.18.2  (Latest LTS: Hydrogen)
v19.0.0
v19.0.1
v19.1.0
v19.2.0
v19.3.0
v19.4.0
v19.5.0
v19.6.0
v19.6.1
v19.7.0
v19.8.0
v19.8.1
v19.9.0
v20.0.0
v20.1.0
v20.2.0
v20.3.0
v20.3.1
v20.4.0
v20.5.0
v20.5.1
v20.6.0
v20.6.1
v20.7.0
v20.8.0
v20.8.1
v20.9.0  (Latest LTS: Iron)
v21.0.0
v21.1.0

0
test/fast/Unit tests/nvm ls-remote Executable file → Normal file
View File

Some files were not shown because too many files have changed in this diff Show More